(set #introduction
(cat "\nDu kannst mit diesem Script \n\nPSILON's "
     "File Cutter\n\n auf eine Festplatte installieren."
     "\n\nFr den File Cutter wird mindestens OS2.04\n"
     "bentigt."))

(set #askdir-help
(cat "Du kannst hier das Verzeichniss auswhlen."))

(set #copyfiles-help
(cat "Es wird kopiert."))

(set #COPVERZ (cat "\nWohin soll der File Cutter kopiert werden?\n\nEs wird ein neues Verzeichniss angelegt."))
(set #COPYFiles (cat "\n Kopiere Dateien.\n\n"))

(Procedure Inst_PatternFiles
 (set @Dest_File (tackon @Ziel @Dest))
 (if                                         ; Verzeichnis erzeugen
  (= (exists @Dest_File) 0)
  (makedir (@Dest_File))
 )
 (set @anzeige (cat "Kopiere "@FName" aus "@SOURCE" \nnach "@Dest_File))
 (copyfiles (prompt @anzeige)(help @copyfiles-help)(source @Source)(pattern @Pattern)(infos)(dest @Dest_File))
)

(complete 0)
(message #introduction)
(welcome)

(set @default-dest
 (askdir
  (prompt  #COPVERZ)
  (help    #askdir-help)
  (default "")
 )
)

(if
 (= (exists @default-dest) 0)
 (makedir @default-dest)
)

(set @Ziel (tackon @default-dest "FileCutter"))
(if
 (= (exists @Ziel) 0)
 (makedir (@Ziel))
)

(complete 20)

(askdisk
 (prompt "\n\n Bitte legen Sie die Diskette File Cutter v1.2 ein")
 (help #askdir-help)
 (dest "File Cutter v1.2")
)

(complete 40)

(
 (set @Source "")
 (set @Dest "")
 (set @Pattern "#?")
 (set @Size 0)
 (Inst_PatternFiles)
)

(complete 75)

(message
 (cat "Die Installation des Programms 'File Cutter' ist hiermit\n"
      "vollstndig.\n\n")
)

(complete 100)
